org.apache.hc.core5.http.impl.io

## Class EmptyInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.hc.core5.http.impl.io.EmptyInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

  Deprecated.
  Please use `EmptyInputStream`

      @Deprecated
      public final class EmptyInputStream
      extends InputStream

  Since:
    4.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EmptyInputStream` | `INSTANCE` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Deprecated. Returns `0`.
    `void` | `close()` Deprecated. Noop.
    `void` | `mark(int readLimit)` Deprecated. Noop.
    `boolean` | `markSupported()` Deprecated. Returns `true`.
    `int` | `read()` Deprecated. Returns `-1`.
    `int` | `read(byte[] buf)` Deprecated. Returns `-1`.
    `int` | `read(byte[] buf, int off, int len)` Deprecated. Returns `-1`.
    `void` | `reset()` Deprecated. Noop.
    `long` | `skip(long n)` Deprecated. Returns `0`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final EmptyInputStream INSTANCE

      Deprecated.

  - ### Method Detail

    - #### available

          public int available()

      Deprecated.
      Returns `0`.
      Overrides:
        `available` in class `InputStream`

    - #### close

          public void close()

      Deprecated.
      Noop.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`

    - #### mark

          public void mark(int readLimit)

      Deprecated.
      Noop.
      Overrides:
        `mark` in class `InputStream`

    - #### markSupported

          public boolean markSupported()

      Deprecated.
      Returns `true`.
      Overrides:
        `markSupported` in class `InputStream`

    - #### read

          public int read()

      Deprecated.
      Returns `-1`.
      Specified by:
        `read` in class `InputStream`

    - #### read

          public int read(byte[] buf)

      Deprecated.
      Returns `-1`.
      Overrides:
        `read` in class `InputStream`

    - #### read

          public int read(byte[] buf,
                          int off,
                          int len)

      Deprecated.
      Returns `-1`.
      Overrides:
        `read` in class `InputStream`

    - #### reset

          public void reset()

      Deprecated.
      Noop.
      Overrides:
        `reset` in class `InputStream`

    - #### skip

          public long skip(long n)

      Deprecated.
      Returns `0`.
      Overrides:
        `skip` in class `InputStream`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.